> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link status

> Check the status of a given loginIdentity



## OpenAPI

````yaml /api-reference/openapi.json get /link/status/{loginIdentityId}
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /link/status/{loginIdentityId}:
    get:
      tags:
        - link
      summary: Link status
      description: Check the status of a given loginIdentity
      operationId: linkStatus
      parameters:
        - description: The login identity id
          name: loginIdentityId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkStatusResponse'
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModel'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModel'
      security:
        - Oauth2:
            - linkApi:read
components:
  schemas:
    LinkStatusResponse:
      properties:
        action:
          $ref: '#/components/schemas/LinkStatusActionModel'
        pending:
          $ref: '#/components/schemas/LinkStatusPendingModel'
        success:
          $ref: '#/components/schemas/AccessTokenResponse'
    ErrBodyModel:
      properties:
        error:
          $ref: '#/components/schemas/FvErrorModel'
    LinkStatusActionModel:
      required:
        - action_id
        - type
        - name
        - messages
        - fields
      properties:
        action_id:
          description: Unique identifier
          type: string
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/UserButton'
          description: >-
            Describes the user-facing buttons to display to enable the user to
            interact with the requested action. Only used for `type` = `ACTION`
        fields:
          type: array
          items:
            $ref: '#/components/schemas/UserField'
          description: >-
            Describes the fields which require user-input. Only used for `type`
            = `ACTION`
        messages:
          type: array
          items:
            $ref: '#/components/schemas/UserMessage'
          description: User-facing message(s) to inform the user about what action to take
        name:
          description: The name of the user screen the UI is to render
          type: string
          example: DEVICE_SELECTION
        type:
          description: >-
            Used to indicate whether the user needs to take action inside the
            linking flow (ACTION), or outside the linking flow (INFO). Possible
            values: `ACTION`, `INFO`
          type: string
          example: ACTION
    LinkStatusPendingModel:
      properties:
        code:
          type: string
        details:
          type: string
        message:
          type: string
    AccessTokenResponse:
      required:
        - access_token
        - login_identity_id
        - token_type
        - expires_in
        - refresh_token
        - issued_at
      properties:
        access_token:
          type: string
          description: >-
            **(SENSITIVE)** Login Identity access token (referred to as
            `login_identity_token`).
        expires_in:
          description: Access token validity length (in seconds).
          type: integer
          format: int64
        issued_at:
          type: string
          format: date-time
          description: Access token issue time
        login_identity_id:
          type: string
          description: >-
            Finverse Login Identity ID for this Login Identity. Always unique.
            Linking the same account at the same institution twice will result
            in two Login Identities with different IDs (use Refresh/Relink
            methods to refresh data for a Login Identity without updating the
            ID).
        refresh_token:
          type: string
          description: >-
            **(SENSITIVE)** Login Identity refresh token (referred to as
            `login_identityrefresh_token`)
        token_type:
          type: string
          description: 'Possible values: `Bearer`'
    FvErrorModel:
      required:
        - type
        - code
        - error_code
        - message
        - details
        - request_id
      properties:
        code:
          type: string
          example: CREDENTIALS_INVALID
        details:
          type: string
        error_code:
          type: string
          example: CREDENTIALS_INVALID
        message:
          type: string
        request_id:
          description: The request_id provided in the request header
          type: string
        type:
          description: The error type
          type: string
          enum:
            - LINK_ERROR
            - API_ERROR
          example: LINKING_ERROR
    UserButton:
      required:
        - name
        - value
        - type
      properties:
        name:
          description: Name identifying the button
          type: string
        type:
          description: 'Type of button. Possible values: `SUBMIT`'
          type: string
          example: SUBMIT
        value:
          description: Button value to be displayed to the user
          type: string
          example: Submit One time password
    UserField:
      required:
        - name
        - type
      properties:
        label:
          description: User-facing label for the field
          type: string
        name:
          description: Name identifying the field
          type: string
        options:
          description: >-
            List of possible options, from which user needs to select one value.
            Only used for field `type` = `SELECT`
          type: array
          items:
            $ref: '#/components/schemas/UserFieldOption'
        placeholder:
          description: Initial field value to be displayed to the user
          type: string
        type:
          description: 'Type of field. Possible values: `INPUT`, `SELECT`'
          type: string
          example: SELECT
    UserMessage:
      required:
        - name
        - type
        - value
      properties:
        name:
          description: The name of the message
          type: string
        type:
          description: >-
            The type of the message. This will help how the UI renders this
            text.
          type: string
        value:
          description: The actual text value.
          type: string
    UserFieldOption:
      required:
        - label
        - value
      properties:
        label:
          description: User-facing label for the option
          type: string
          example: joe-iphone-13
        value:
          description: Value for the option
          type: string
          example: Joe's iPhone 13 Pro Max
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````